import { Notification, InitializeSessionBodyContent } from '../../types/nuts-inbox-widget.types';
export interface BaseMethodParams {
    baseUrl: string;
    token?: string;
}
export interface InitializeSessionParams extends BaseMethodParams {
    body: InitializeSessionBodyContent;
    sessionId: string;
}
export interface InitializeSessionResponseData {
    data: {
        profile: {
            firstName: string;
            lastName: string;
            _id: string;
        };
        token: string;
    };
}
export interface InitializeSessionReturnData {
    token: string;
    unseenCounter: number;
}
export interface UnseenCountParams extends BaseMethodParams {
}
export interface UnseenCountResponseData {
    data: {
        count: number;
    };
}
export interface DeleteMessageParams extends BaseMethodParams {
    messageId: string;
}
export interface MarkMessageBodyParams {
    messageId: string;
    mark: {
        seen: boolean;
        read: boolean;
    };
}
export interface MarkMessageParams extends BaseMethodParams {
    body: MarkMessageBodyParams;
    unread: boolean;
}
export interface MarkMessageResponseData {
    data: Notification[];
}
export interface MarkMessageReturnData {
    messageSeen: boolean;
    messageRead: boolean;
    showSettingsModal: boolean;
}
export interface GetNotificationsParams extends BaseMethodParams {
    page: number;
}
export interface GetNotificationsResponseData {
    totalCount: number;
    data: Notification[];
}
export interface GetNotificationsReturnData {
    isLoading: boolean;
    numberOfNotifications: number;
    notifications: Notification[];
}
export interface MarkAllMessagesParams extends BaseMethodParams {
}
